Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.muc.cluster
Class QueuedTasksManager

    java.lang.Object
      org.jivesoftware.openfire.muc.cluster.QueuedTasksManager

    public class QueuedTasksManager

extends Object

Queue tasks while this JVM is joining the cluster and the requested room was still not loaded.

Author:
  Gaston Dombiak

Method Summary
`void` | `addTask(MUCRoomTask task)` Queues a task.
`static QueuedTasksManager` | `getInstance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static QueuedTasksManager getInstance()

### addTask

    public void addTask(MUCRoomTask task)

  Queues a task. The queued task will be executed once this JVM completed joining the cluster. Moreover, if joining the cluster failed then the queue will also be consumed.

  Parameters:
    `task` - the task to queue.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.